## NMVPNConnection NMVPNConnection |

## Synopsis

                        NMVPNConnection;
                        NMVPNConnectionClass;
    #define             NM_VPN_CONNECTION_BANNER
    #define             NM_VPN_CONNECTION_VPN_STATE
    const char *        nm_vpn_connection_get_banner        (NMVPNConnection *vpn);
    NMVPNConnectionState nm_vpn_connection_get_vpn_state    (NMVPNConnection *vpn);
    GObject *           nm_vpn_connection_new               (DBusGConnection *connection,
                                                             const char *path);

## Object Hierarchy

      GObject
       +----NMObject
             +----NMActiveConnection
                   +----NMVPNConnection

## Implemented Interfaces

NMVPNConnection implements GInitable and GAsyncInitable.

## Properties

      "banner"                   gchar*                : Read
      "vpn-state"                guint                 : Read

## Signals

      "vpn-state-changed"                              : Run First

## Description

## Details

### NMVPNConnection

    typedef struct _NMVPNConnection NMVPNConnection;

### NMVPNConnectionClass

    typedef struct {
    	NMActiveConnectionClass parent;

    	/* Signals */
    	void (*vpn_state_changed) (NMVPNConnection *connection,
    	                           NMVPNConnectionState state,
    	                           NMVPNConnectionStateReason reason);

    	/* Padding for future expansion */
    	void (*_reserved1) (void);
    	void (*_reserved2) (void);
    	void (*_reserved3) (void);
    	void (*_reserved4) (void);
    	void (*_reserved5) (void);
    	void (*_reserved6) (void);
    } NMVPNConnectionClass;

### NM_VPN_CONNECTION_BANNER

    #define NM_VPN_CONNECTION_BANNER "banner"

### NM_VPN_CONNECTION_VPN_STATE

    #define NM_VPN_CONNECTION_VPN_STATE "vpn-state"

### nm_vpn_connection_get_banner ()

    const char *        nm_vpn_connection_get_banner        (NMVPNConnection *vpn);

Gets the VPN login banner of the active NMVPNConnection.

`vpn` : | a NMVPNConnection
Returns : | the VPN login banner of the VPN connection. This is the internal string used by the connection, and must not be modified.

### nm_vpn_connection_get_vpn_state ()

    NMVPNConnectionState nm_vpn_connection_get_vpn_state    (NMVPNConnection *vpn);

Gets the current NMVPNConnection state.

`vpn` : | a NMVPNConnection
Returns : | the VPN state of the active VPN connection.

### nm_vpn_connection_new ()

    GObject *           nm_vpn_connection_new               (DBusGConnection *connection,
                                                             const char *path);

Creates a new NMVPNConnection.

`connection` : | the DBusGConnection
`path` : | the DBus object path of the new connection
Returns : | a new connection object. [transfer full]

## Property Details

### The `"banner"` property

      "banner"                   gchar*                : Read

The VPN login banner of the active VPN connection.

Default value: NULL

### The `"vpn-state"` property

      "vpn-state"                guint                 : Read

The VPN state of the active VPN connection.

Allowed values: <= 7

Default value: 0

## Signal Details

### The `"vpn-state-changed"` signal

    void                user_function                      (NMVPNConnection *nmvpnconnection,
                                                            guint            arg1,
                                                            guint            arg2,
                                                            gpointer         user_data)            : Run First

`nmvpnconnection` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.